#include "FireflyLanternSFXEffect.h"
#include "Net/UnrealNetwork.h"

class AFireflyLantern;

void UFireflyLanternSFXEffect::OnRep_NearestFireflyLantern(AFireflyLantern* oldLantern)
{

}

void UFireflyLanternSFXEffect::OnRep_HeldFireflyLantern(AFireflyLantern* oldLantern)
{

}

void UFireflyLanternSFXEffect::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UFireflyLanternSFXEffect, _nearestFireflyLantern);
	DOREPLIFETIME(UFireflyLanternSFXEffect, _heldFireflyLantern);
}

UFireflyLanternSFXEffect::UFireflyLanternSFXEffect()
{
	this->_isHoldingLantern = false;
	this->_distanceToNearestFireflyLantern = 339999995214436424907732413799364296704.000000;
}
